module test_iso_c_binding

use iso_c_binding, only: c_double, c_int, c_f_pointer, c_loc, c_null_char, c_char, c_ptr

implicit none

public  :: add_function

contains

subroutine add_function(array_length, i_array_1, i_array_2, o_array) bind(C)
    integer, intent(IN)                              :: array_length
    real(kind=c_double), dimension(array_length), intent(IN) :: i_array_1, i_array_2
    real(kind=c_double), dimension(array_length), intent(OUT) :: o_array
    integer :: i
    o_array=i_array_1+i_array_2
end subroutine add_function

end module
