
import numpy as np
cimport numpy  as np

from libc.stdlib cimport malloc
from libc.string cimport strcpy, strlen

cdef extern:
    void add_function(bint *length, double *array, double *array, double *array)
    
# See https://stackoverflow.com/questions/8215265/passing-python-strings-through-cython-to-c
def add(np.ndarray[np.double_t,ndim=1] darray, np.ndarray[np.double_t,ndim=1] darray2): #str filename):
    #cdef double* array = darray
    cdef bint length = len(darray)
    cdef np.ndarray[np.double_t,ndim=1] output = np.asarray(np.zeros(len(darray)), dtype=darray.dtype)
    add_function(&length, &darray[0], &darray2[0], &output[0])
    return output